rte_pie_params(3)

NAME
rte_pie_params

SYNOPSIS

#include <rte_pie.h>

  Data Fields

uint16_t qdelay_ref
uint16_t dp_update_interval
uint16_t max_burst
uint16_t tailq_th

Detailed Description

PIE configuration parameters passed by user

Definition at line 35 of file rte_pie.h.

Field Documentation

  uint16_t qdelay_ref
Latency Target (milliseconds)

Definition at line 36 of file rte_pie.h.

  uint16_t dp_update_interval
Update interval for drop probability (milliseconds)

Definition at line 37 of file rte_pie.h.

  uint16_t max_burst
Max Burst Allowance (milliseconds)

Definition at line 38 of file rte_pie.h.

  uint16_t tailq_th
Tailq drop threshold (packet counts)

Definition at line 39 of file rte_pie.h.

Author

Generated automatically by Doxygen for DPDK from the source code.